zerops:
  - setup: typesense
    build: 
      buildCommands:
        - curl -O https://dl.typesense.org/releases/27.1/typesense-server-27.1-linux-amd64.tar.gz
        - tar -xzf typesense-server-27.1-linux-amd64.tar.gz
      deployFiles: 
        - typesense-server
        - typesense-server.ini
    run:
      ports:
        - port: 8107
          description: "peering"
        - port: 8108
          httpSupport: true
          description: "api"
      initCommands:
        - sudo mkdir -p /var/lib/typesense
      start: zsc noop
#      start: sudo /var/www/typesense-server --config=/var/www/typesense-server.ini